package com.persagy.dmp.digital.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.*;

/**
 * 
 * @TableName relation_project_cal
 */
@TableName(value ="relation_project_cal")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationProjectCal extends AuditableEntity {

    /**
     * 图类型
     */
    @TableField(value = "graph_code")
    private String graphCode;

    /**
     * 关系类型编码
     */
    @TableField(value = "rel_code")
    private String relCode;

    /**
     * 是否需要配置源末端
     */
    @TableField(value = "source_flag")
    private Byte sourceFlag;

    /**
     * 是否自动计算类型
     */
    @TableField(value = "automatic_flag")
    private Byte automaticFlag;

    /**
     * 手动计算类型 1 禁用  2提示引导 3手动维护
     */
    @TableField(value = "manual")
    private Integer manual;

    /**
     * 项目id
     */
    @TableField(value = "project_id")
    private String projectId;

    /**
     * 最后一次自动计算时间
     */
    @TableField(value = "computing_time")
    private String computingTime;

    /**
     * 计算状态 1初始状态 2需要计算 3计算中 4等待中 5计算失败（如果处于计算中状态，则不再次调用）
     */
    @TableField(value = "computational_state")
    private Byte computationalState;

    /**
     * 业务分区类型
     */
    @TableField(value = "zone_type")
    private String zoneType;

    /**
     * 计算版本
     */
    @TableField(value = "compute_version")
    private Byte computeVersion;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}